import React, { Component } from "react";
import { Col, Row } from "antd";
import OrdersTempTable from "../charts/OrdersTempTable";
import MobileDeal from "../charts/MobileDeal";
import Orders from "../charts/Orders";
import ExchangeRate from "../charts/ExchangeRate";

class Dashboard extends Component {
	constructor(props) {
		super(props);
	}

	render() {
		return (
			<div>
				<div>
					<Row>
						<Col span={24}>
							<Orders />
						</Col>

						<Col span={24}>
							<ExchangeRate />
						</Col>

						<Col {...{
                gutter: { xs: 8, sm: 8, md: 16, lg: 16 },
                lg: { span: 12 },
                md: { span: 24 },
                sm: { span: 24 },
                xs: { span: 24 },
              }}>
							<OrdersTempTable />
						</Col>

						<Col {...{
                gutter: { xs: 8, sm: 8, md: 16, lg: 16 },
                lg: { span: 12 },
                md: { span: 24 },
                sm: { span: 24 },
                xs: { span: 24 },
              }}>
							<MobileDeal />
						</Col>
					</Row>
				</div>
			</div>
		);
	}
}

export default Dashboard;
